- Fluid Reference Documentation
- Fluid 1.0.0

# Wave QML Type

Provides a wave animation for transitioning between views of content. More...

Import Statement: | import Fluid.Controls 1.0

- List of all members, including inherited members

## Properties

- abstractHeight : real
- abstractWidth : real
- diameter : real
- initialX : real
- initialY : real
- open : bool
- size : real

## Signals

- finished(bool open)

## Methods

- closeWave(x, y)
- openWave(x, y)

## Detailed Description

For more information you can read the Material Design guidelines.

## Property Documentation

abstractHeight : real

The abstract height of the wave

abstractWidth : real

The abstract width of the wave

diameter : real

The diameter of the completely open wave

initialX : real

The horizontal center of the wave

initialY : real

The vertical center of the wave

open : bool

Whether wave is open.

size : real

The current size of the wave

## Signal Documentation

finished(bool open)

This signal is emitted, when the wave has finished opening or closing. open defines, whether the wave was being opened or closed

## Method Documentation

closeWave(x, y)

Closes the wave centering the wave at (x, y)

openWave(x, y)

Opens the wave centering the wave at (x, y)